<?php
/** @package		com_contactenhanced
 * @copyright Copyright (C) 2006 - 2020 IdealExtensions.com. All rights reserved.
 * @author	 	Douglas Machado {@link https://IdealExtensions.com}
 * @license		GNU GPL2 or later; see LICENSE.txt
 */
defined('JPATH_BASE') or die();
use Joomla\CMS\Factory;
use Joomla\CMS\Form\FormField;


class JFormFieldLoadlanguages extends FormField
{

	protected $type = 'Loadlanguages';

	protected function getInput ()
	{
		$lang = Factory::getLanguage();
		$lang->load('com_contactenhanced',	JPATH_ADMINISTRATOR . '/components/com_contactenhanced', 'en-GB');
		$lang->load('com_contactenhanced',	JPATH_ADMINISTRATOR . '/components/com_contactenhanced', null, true);
		$lang->load('com_contactenhanced.sys', JPATH_ADMINISTRATOR . '/components/com_contactenhanced', 'en-GB');
		$lang->load('com_contactenhanced.sys', JPATH_ADMINISTRATOR . '/components/com_contactenhanced', null, true);
		$lang->load('com_contactenhanced.menu', JPATH_ADMINISTRATOR . '/components/com_contactenhanced', 'en-GB');
		$lang->load('com_contactenhanced.menu', JPATH_ADMINISTRATOR . '/components/com_contactenhanced', null, true);
		$lang->load('plg_osmap_joomla');
		
		return '';
	}

	protected function getLabel ()
	{
		return '';
	}
}